org.crosswire.jsword.passage

## Class PassageTally.TalliedVerseRange

- java.lang.Object
- - org.crosswire.jsword.passage.PassageTally.TalliedVerseRange

- All Implemented Interfaces:
    Comparable<PassageTally.TalliedVerseRange>
  Enclosing class:
    PassageTally

      private static class PassageTally.TalliedVerseRange
      extends Object
      implements Comparable<PassageTally.TalliedVerseRange>

  Hack to make this work with JDK1.1 as well as JDK1.2 This compared 2 Integers

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected VerseRange` | `range` The verse range
    `protected int` | `tally` The rank of the verse

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PassageTally.TalliedVerseRange(VerseRange range, int tally)` Convenience ctor to set the public variables

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(PassageTally.TalliedVerseRange that)`
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### range

          protected VerseRange range

      The verse range

    - #### tally

          protected int tally

      The rank of the verse

  - ### Constructor Detail

    - #### PassageTally.TalliedVerseRange

          protected PassageTally.TalliedVerseRange(VerseRange range,
                                        int tally)

      Convenience ctor to set the public variables
      Parameters:
        `range` - The verse range
        `tally` - The rank of the verse

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### compareTo

          public int compareTo(PassageTally.TalliedVerseRange that)

      Specified by:
        `compareTo` in interface `Comparable<PassageTally.TalliedVerseRange>`